Bug 1119013

Summary: Review Request: perl-Time-timegm - UTC version of mktime()
Product: [Fedora] Fedora Reporter: Christopher Meng <i>
Component: Package ReviewAssignee: David Dick <ddick>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: ddick, package-review
Target Milestone: ---Flags: ddick: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: perl-Time-timegm-0.01-2.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-08-01 23:56:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1119117    

Description Christopher Meng 2014-07-13 04:14:51 UTC
Spec URL: http://us-la.cicku.me/perl-Time-timegm.spec
SRPM URL: http://us-la.cicku.me/perl-Time-timegm-0.01-1.fc22.src.rpm
Description: The POSIX standard provides three functions for converting between integer epoch values and 6-component "broken-down" time representations. localtime and gmtime convert an epoch into the 6 components of seconds, minutes,
hours, day of month, month and year, in either local timezone or UTC. The
mktime function converts a local broken-down time into an epoch value.
However, POSIX does not provide a UTC version of this.
Fedora Account System Username: cicku

Comment 1 David Dick 2014-07-13 06:34:14 UTC
Licensing is correct

BR: XSLoader at line 20 of lib/Time/timegm.  This is the preferred option from upstream

in addition, b/c rpm doesn't pick up XSLoader, it will be necessary to add a manual Require for XSLoader.

package builds successfully at http://koji.fedoraproject.org/koji/taskinfo?taskID=7133870

rpmlint only incorrectly reports spelling errors.  These should be ignored.

Comment 3 David Dick 2014-07-14 07:30:17 UTC
Ack.  Approved.

Comment 4 Christopher Meng 2014-07-18 06:11:42 UTC
New Package SCM Request
=======================
Package Name: perl-Time-timegm
Short Description: UTC version of mktime()
Upstream URL: http://search.cpan.org/dist/Time-timegm/
Owners: cicku
Branches: el6 epel7 f21 f20 f19

Comment 5 Christopher Meng 2014-07-18 07:00:01 UTC
New Package SCM Request
=======================
Package Name: perl-Time-timegm
Short Description: UTC version of mktime()
Upstream URL: http://search.cpan.org/dist/Time-timegm/
Owners: cicku
Branches: el6 epel7 f21 f20 f19
InitialCC: perl-sig

Comment 6 Gwyn Ciesla 2014-07-18 12:44:03 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-07-21 02:24:39 UTC
perl-Time-timegm-0.01-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Time-timegm-0.01-2.fc20

Comment 8 Fedora Update System 2014-07-21 02:24:46 UTC
perl-Time-timegm-0.01-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Time-timegm-0.01-2.el6

Comment 9 Fedora Update System 2014-07-21 15:33:35 UTC
perl-Time-timegm-0.01-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 10 Fedora Update System 2014-08-01 23:56:10 UTC
perl-Time-timegm-0.01-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2014-08-08 00:41:51 UTC
perl-Time-timegm-0.01-2.el6 has been pushed to the Fedora EPEL 6 stable repository.